#include <stdio.h>
#include <unistd.h>
#include <sys/wait.h>

int main()
{
	pid_t child1_pid;
	pid_t child2_pid;
	child1_pid = fork();
	if (child1_pid == 0) {
		printf("Hello");
	} else {
		child2_pid = fork();
		if (child2_pid == 0) {
			usleep(1000000);
			printf(" World!\n");
		} else {
			int child1_status;
			int child2_status;
			waitpid(child1_pid, &child1_status, WEXITED);
			waitpid(child2_pid, &child2_status, WEXITED);
			printf("parent exit.\n");
		}
	}
	return 0;
}
